unit uEditorFacturasObras;

interface

uses
  Menus, dxLayoutLookAndFeels, DB, uDADataTable, JvAppStorage,
  JvAppRegistryStorage, JvComponentBase, JvFormPlacement, ImgList, Controls,
  PngImageList, StdActns, Classes, ActnList, Forms, uCustomView, uViewBase,
  uViewBarraSeleccion, ComCtrls, TB2ExtItems, TBXExtItems, TBX, TB2Item,
  TB2Dock, TB2Toolbar, pngimage, ExtCtrls, JvExControls, JvComponent,
  JvNavigationPane, uEditorGrid, uEditorFacturasCliente, uBizObraFinal;

type
  IEditorFacturasObras = interface(IEditorFacturasCliente)
  ['{CF195010-2B99-483E-903A-33091097A623}']
  end;

  TfEditorFacturasObras = class(TfEditorFacturasCliente, IEditorFacturasObras)
  end;

implementation
{$R *.dfm}

uses
  uEditorUtils, uDataModuleObrasFinal;

{ TfEditorFacturasObras }

function ShowEditorFacturasObra (ABizObject : TDADataTableRules) : TModalResult;
var
  AEditor: TfEditorFacturasObras;
begin
  AEditor := TfEditorFacturasObras.Create(Application);
  try
    AEditor.FacturasCliente := (ABizObject as IBizFacturasObras);
    Result := AEditor.ShowModal;
  finally
    AEditor.Release;
  end;
end;

initialization
  RegisterEditor(IBizFacturasObras, ShowEditorFacturasObra, etItems);

finalization

end.
